Pāriet uz saturu

Bagel

Integrēt

Modeļa id bagel
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bagel?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: 0,10 $ 100 API kredītu Izpildīt šajā lapā

Iegūt API atslēgu
ByteDance Teksts uz attēlu #text-to-image#multimodal

Teksta pārveide attēlā ar multimodālu 7B modeli un neobligātu spriešanas soli

ByteDance · Attēls

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Uzvedne, kas vada attēla ģenerēšanu.

Papildu seed · use_thought · enable_safety_checker

Ģenerēšanas sēklas vērtība.

POST /run/bagel?wait=20 cena → 0,10 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bagel?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Bagel

Ģenerē attēlus no teksta `prompt`. Iestatot `use_thought` uz true, modelis vispirms izspriež marķierus, kas var uzlabot rezultātus. Atkārtojamiem rezultātiem var norādīt `seed`. Atbilde atgriež attēlus, izmantoto uzvedni, sākumvērtību un laika datus.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Uzvedne, kas vada attēla ģenerēšanu.
seedneobligāts
Tipsinteger
Ģenerēšanas sēklas vērtība.
use_thoughtneobligāts
Tipsboolean
Noklusējumsfalse
Iestatot šo uz true, ļaujiet modelim ģenerēšanas laikā "domāt", izmantojot domu marķierus; tas var uzlabot izvades kvalitāti.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Drošības pārbaudītāja aktivizēšana; true iespējo pārbaudi.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bagel",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
images
array of object {url, content_type, file_name, file_size, width, height}Modeļa ģenerētie attēli.
timings
object
seed
integerAttēla ģenerēšanas sēkla, tostarp nejauši izvēlētā vērtība, ja ievadē sēkla nebija norādīta; pretējā gadījumā atkārto norādīto vērtību.
has_nsfw_concepts
array of booleanNorāda, vai ģenerētajos attēlos parādās NSFW koncepcijas.
prompt
stringAttēla ģenerēšanas laikā izmantotā uzvedne.

Vairāk modeļu: Teksts uz attēlu

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/bagel.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt